Subject: Re: [PATCH 4/5] index-pack: Use the new worker pool

From: Junio C Hamano <[email-masked]>
Date: Tue, 25 Aug 2015 15:50:16 -0700

Stefan Beller <[email-masked]> writes:

> Then please don't pick up this patch. This and patch 5 are there to convince
> Jeff this is a good API, worth being introduced and not over engineered, just
> solving a problem we're interested in with a minimal amount of code to side
> track from the actual goal we want to pursue.

Don't worry.  I did not have intention to queue index-pack and
pack-objects rewrite unless the use of the new API makes them
demonstratably better.

The criteria for "worth being introduced" would include "not
excessively heavyweight", I would think.  And it was good that we
have these two patches to judge if the earlier one (2-3/5) is a good
thing to add in a concrete way.  Perhaps the 2% slowdown might be
showing the performance characteristics of your worker pool model,
and Peff's suggestion to at least see (if not solve) where the
overhead is coming from was a very reasonable one, I would think.